Bug 101489 - LTC3763-Clock runs at double the rate
Summary: LTC3763-Clock runs at double the rate
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-01 18:57 UTC by IBM Bug Proxy
Modified: 2007-11-30 22:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-15 17:35:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cpu_mask_to_apicid fix for phyisical clustered apic mode (675 bytes, patch)
2003-08-08 23:37 UTC, john stultz
no flags Details | Diff

Description IBM Bug Proxy 2003-08-01 18:57:15 UTC
The following has be reported by IBM LTC:  
Clock runs at double the rate
Please fill in each of the sections below.

Hardware Environment: IBM x440 server, 64GB RAM, 8 qlogic 2310 FC adapters

Software Environment: RHAS20 Beta 1


Steps to Reproduce:
1. After booting issue a sleep 10 at the bash prompt. After 5 seconds the sleep 
command will return. 

Actual Results: sleep 10 returns after 5 seconds

Expected Results: expected it to return after 10 seconds.

Additional Information:

Comment 1 Arjan van de Ven 2003-08-01 18:58:46 UTC
random weird idea; does this go away if you disable hyperthreading ?

Comment 2 Rik van Riel 2003-08-01 19:10:35 UTC
the problem doesn't happen on a Proliant machine with hyperthreading, I wonder
if it could be x440 specific

Comment 3 IBM Bug Proxy 2003-08-07 14:44:51 UTC
------ Additional Comments From mksully@us.ibm.com  2003-07-08 08:12 -------
Hardware environment should have read 16GB ram... 

Comment 4 john stultz 2003-08-08 23:37:07 UTC
Created attachment 93542 [details]
cpu_mask_to_apicid fix for phyisical clustered apic mode

In 2.5 cpu_mask_to_apicid() uses cpu_to_logical_apicid(), however, in 2.4 x440s
use clustered physical mode apic ids. Thus the straight backport of
cpu_mask_to_apicid was generating bad apicids. This patch adds a check for
CLUSTERED_APIC_XAPIC and uses cpu_to_physical_apicid() to calculate the apicid
in that case.

Comment 5 Arjan van de Ven 2003-08-09 08:25:54 UTC
if you used the latest kernel available via RHN you'd see this patch is already
there.....

Comment 6 IBM Bug Proxy 2003-08-14 14:20:44 UTC
------ Additional Comments From mksully@us.ibm.com  2003-14-08 09:15 -------
Downloaded 389 version of the build which included a fix which has been 
verified. 

Comment 7 IBM Bug Proxy 2003-08-14 14:21:19 UTC
mksully@us.ibm.com changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|FIXEDAWAITINGTEST           |CLOSED 

Comment 8 Arjan van de Ven 2003-08-15 17:35:09 UTC
"Downloaded 389 version of the build which included a fix which has been 
verified. " --> closing on this end as well


Note You need to log in before you can comment on or make changes to this bug.